package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.CouponInfo;


/**
*  service接口类
*/
public interface CouponInfoService{

    List<CouponInfo> getCouponInfoList(CouponInfo record);

    List<CouponInfo> getCouponInfoByPage(Page page, CouponInfo record);

    CouponInfo getCouponInfoById(String id);

    CouponInfo getCouponInfo(CouponInfo record);

    boolean createCouponInfo(CouponInfo record);

    boolean deleteCouponInfo(String id);

    boolean updateCouponInfo(CouponInfo record);
}

